
Foniatr - Bug #216
PSE prubezne ukladani a cas
16 December 2014 11:56 - Marek Frič

Status: New Start date: 16 December 2014
Priority: Normal Due date:
Assignee: Tomáš Kulhánek % Done: 0%
Category: HTML5 client Estimated time: 8.00 hours
Target version: future Spent time: 0.00 hour
Description

Zjistil jsem, ze pokud respondent test neukonci vysledky se neulozi - vhodne nejakym zpusobem dale resit, hlavne proto, ze pokud
bude mit test vetsi casovou narocnost  nebo nekolik casti (jako projekt) bylo by vhodne moct ulozit vysledky i v prubehu (nebo vzdy
kdyz bude DALSI)

Asi je vhodne pridat i cas a datum odpovedi, lepe se v to pak hledaji vysledky a hlavne aktualni data

History
#1 - 16 December 2014 12:16 - Tomáš Kulhánek
- Status changed from New to Assigned

Jo to je dobré mít. Na serveru může být zaznamenán průběh testu, při každém zmáčknutí "další" se odešlou odpovědi, server by mohl přidat časové
značky. Pokud test není ukončen, pak server by měl nabídnout uživateli pokračování v testu po několika dnech z dat uložených na serveru.

#2 - 16 December 2014 18:13 - Marek Frič

Zatim bude stacit automaticke ukladani pri stlaceni DALSI spolecne s datumem a casem (do noveho sloupce do vysledkovych tabulek.

Co se tyce nacteni neukonceneho testu to bude asi hlavne zalezet na administraci testu, primarne kazdpoadne pokud se nekdo prihlasi se stejnym
jmenem jako uzivatel, se stejnim jmenem do konkretniho testu, tak by to mohlo kontrolovat, jestli uz takovy test udelal a dokoncil a v pripade ze
nedokoncil nabidne mu moznost pokracovat, nebo se znova prihlasit pod jinym jmenem... ale spise by se to melo ridit obecnejsimi pravidly
definovanymi v administraci testu (kdo a kolikrat se muze prihlasit.

Pak me napadlo, ze pokud se doposut ukladaly vysledky jenom pri UKONCENI - nebylo by mozne takove vysledky v nejake tabulce zasilat primo na
nejaou administratosrskou emailovou adresu (aby byli i jinak zalohovany data a taky je to dobry zpusob oznameni, ze nekdo test udelal.

#3 - 23 July 2015 14:12 - Tomáš Kulhánek
- Category set to HTML5 client
- Assignee changed from Marek Frič to Tomáš Kulhánek
- Target version changed from Psychotest 1 to Psychotest2

#4 - 23 July 2015 14:48 - Tomáš Kulhánek
- Estimated time set to 4.00

#5 - 04 September 2015 11:01 - Tomáš Kulhánek
- Status changed from Assigned to New
- Estimated time changed from 4.00 to 8.00

#6 - 26 January 2017 16:48 - Tomáš Kulhánek
- Target version changed from Psychotest2 to future

Možná až v budoucí verzi.
